<?php
// Session starten
session_start();
?>
<!DOCTYPE html>
<html>
 <head>
  <meta charset="UTF-8">
  <title>Forum - Startseite</title>
  <link rel="stylesheet" type="text/css" media="screen" href="forum_style.css">
 </head>
<body>

<?php include "forum_navigation.php";?>

<p>Hier können Sie als Besucher Fragen zu den Themen ... und ... stellen. 
Die Fragen oder Antworten werden vor der Veröffentlichung gelesen, daher kann es etwas dauern bis diese erscheinen. </p>

<?php
/* Forum - forum.php
- Thema sperre
 - Webbausteine.de */

include "forum_verbindung.php";
include "forum_funktionen.php";

// Anzahl der Seiten berechnen
$ergebnis = $VERBINDUNG->query("SELECT `id`
                                                   FROM `" . $TABLE_PREFIX . "_forum`
                                                   WHERE `fa` = 'F' AND `anzeige` = '1'");
$var = $ergebnis->fetchAll(PDO::FETCH_COLUMN, 0);
$anzahlThemen = count($var);
$seiten = ceil($anzahlThemen / $BEITRAEGE_SEITE);
$seite = isset($_GET["seite"]) ? intval($_GET["seite"]) : 1;
$seite = $seite < 1 || $seite > $seiten ? 1 : $seite;
$start = $seite * $BEITRAEGE_SEITE - $BEITRAEGE_SEITE;

$scriptName = basename($_SERVER["SCRIPT_NAME"]);

// Link-, und Formular-Navigation
define("NAVIGATION", '<form action="' . $scriptName . '" method="get" autocomplete="off"><p class="forum_navseite">' . $anzahlThemen . ($anzahlThemen == 1 ? ' Thema' : ' Themen') . ' - <label for="site">Seite:</label> ' . 
 (($seite - 1) > 0 ? '<a href="' . $scriptName . '?seite=' . ($seite - 1) . '" title="Zurück zu Seite ' . ($seite - 1) . '"><b>&#9664;</b></a>' : '') .
 ' <input type="text" value="' . $seite . '" name="seite" id="site" size="3" maxlength="4" required="required" onclick="this.select()" title="Seitenzahl eingeben"> von ' . $seiten .
 (($seite + 1) <= $seiten ? ' <a href="' . $scriptName . '?seite=' . ($seite + 1) . '" title="Weiter zu Seite ' . ($seite + 1) . '"><b>&#9654;</b></a>' : '') .
 '</p></form>');

// Themen auslesen
if ($anzahlThemen > 0) {
 $kommando = $VERBINDUNG->query("SELECT `id`, `thread`, `nr`, `sperre`,  `name`, `thema`, `text`, `datum`, `antwort`, `awnr`, `awdatum`
                                                        FROM `" . $TABLE_PREFIX . "_forum`
                                                        WHERE `fa` = 'F' AND `anzeige` = '1'
                                                        ORDER BY `datum` DESC
                                                       LIMIT "  . $start . ", " . $BEITRAEGE_SEITE);
 $themen = $kommando->fetchAll(PDO::FETCH_OBJ);
 // Navigation
 echo ($anzahlThemen > $BEITRAEGE_SEITE ? NAVIGATION : '<p class="forum_navseite">' . $anzahlThemen . ($anzahlThemen == 1 ? ' Thema' : ' Themen') . '</p>') .
  '<dl class="forum_dl">';
 foreach ($themen as $nr => $thema) {
  $title = preg_replace("/\[.*?\](.*)\[\/.*?\]/isU", "\\1", $thema->text);
  $title = str_replace(array("\"", "\'"), "", substr(htmlentities($title), 0, 500)); // Länge des angezeigten Textes im Title-Attribut
  echo ' <dt><a href="forum_details.php?thread=' . $thema->thread . '" title="' . $title . '" class="' . ($thema->sperre == 1 ? 'forum_schloss' : 'forum_beitrag') . '">' . $thema->thema . '</a>
  <small> <span class="forum_profil">' . $thema->name . '</span> ' .
 (($thema->nr -1) > 0 ? ' &#10151; ' . ($thema->nr -1) . (($thema->nr -1) == 1 && ($thema->nr -1) > 0  ? ' Antwort' : ' Antworten') : datetime($thema->datum) . ' &#10151; Keine Antworten!') .
 (($thema->nr -1) > 0 ? ', letzte ' . datetime($thema->awdatum) . ' <a href="forum_details.php?thread=' . $thema->thread . '&seite=2500#nr' . $thema->awnr . '" class="forum_profil">' . $thema->antwort . '</a>' : '') .
 '</small></dt>';
 }
 echo '</dl>' .
  // Navigation
  $nr >= 10 && $anzahlThemen > $BEITRAEGE_SEITE ? NAVIGATION : '';
}
else {
 echo '<p><span class="forum_status">&#10149;</span> Es befinden sich keine Themen in diesem Forum!</p>';
}

// Aktuelle Beiträge
$select = $VERBINDUNG->query("SELECT `id`,  `thread`, `nr`, `sperre`,  `name`, `thema`, `datum`
                                               FROM `" . $TABLE_PREFIX . "_forum`
                                               WHERE (`fa` = 'F' OR `fa` = 'A') AND `anzeige` = '1'
                                               ORDER BY `datum` DESC
                                               LIMIT 0, " . $AKTUELLE_BEITRAEGE);
$beitraege = $select->fetchAll(PDO::FETCH_OBJ);
if (count($beitraege) > 0) {
 echo '<p class="forum_navseite">Aktuelle Beiträge</p>' .
  '<dl class="forum_dl">';
 foreach ($beitraege as $beitrag) {
  echo '<dt><a href="forum_details.php?thread=' . $beitrag->thread . '&seite=2500#nr' . $beitrag->id . '" class="forum_profil">' . $beitrag->name . '</a> <small>' .
  datetime($beitrag->datum) . ' <a href="forum_details.php?thread=' . $beitrag->thread . '" class="forum_beitrag">' . $beitrag->thema . '</a></small></dt>';
 }
 echo '</dl>';
}
echo ($anzahlThemen >= 10  ? '<p><a href="#top" class="forum_oben">Seitenanfang</a></p>' : '');
?>

</body>
</html>