<?php
// Session starten
session_start();
include "forum_verbindung.php";

// Anmeldung überprüfen
if (isset($_POST["anmeldung"])) {
 if ($_POST["name"] == $ADMIN &&
     $_POST["passwort"] == $ADMIN_PASS) {
   $_SESSION["admin"] = $_POST["name"];
   $sid = "";
   if ($_POST["sid"] != "") {
    $_SESSION["sid"] = $_POST["sid"];
    $sid = '?id=' . $_POST["sid"];
   }
   header("Location: forum_editor.php" . $sid);
 }
}
?>
<!DOCTYPE html>
<html>
 <head>
  <meta charset="UTF-8">
  <title>Forum</title>
  <link rel="stylesheet" type="text/css" media="screen" href="forum_style.css">
  <script src="forum_javascript.js"></script>
 </head>
<body>

<?php
/* Forum - forum_editor.php
 - Webbausteine.de */

include "forum_navigation.php";

// Anmeldung
if (!isset($_SESSION["admin"]) ||
     isset($_GET["abmeldung"]) ||
     isset($_GET["ok"])) {
 echo '<form name="Form" action="forum_editor.php" method="post">
 <p style="text-align: center; margin-top: 50px;">
 Anmeldung<br><br>
 <label><span class="forum_profil">Name:</span> <input type="text" name="name" size="25" autofocus="autofocus" required="required"></label><br><br>
 <label><span class="forum_schloss">Pass:</span> <input type="password" name="passwort" size="25" required="required"></label><br><br>
 <input type="hidden" name="sid" value="' . (isset($_GET["id"]) ? $_GET["id"] : '') . '">
 <input type="submit" name="anmeldung" value="Anmelden"></p>';

 // Abmeldung
 if (isset($_GET["abmeldung"]) ||
     isset($_GET["ok"])) {
  unset($_SESSION["admin"]);
  echo '<p style="text-align: center;"><span class="forum_ok">&#10004;</span> Abmeldung erfolgreich.</p>';
 if (isset($_GET["ok"])) {
  echo '<script>location.href="forum_editor.php?abmeldung"</script>';
 }
 }
 else {
  echo '<p style="text-align: center; margin-top: 30px;"><a href="javascript:history.back();"><small>Eine Seite zurück</small></a></p>';
 }
 exit('</form></body></html>');
}
else {
 echo '<fieldset class="forum"><legend>Editor</legend>
 </form>';
}

include "forum_funktionen.php";

// Wurde eine ID über GET oder der Session gesendet
if (isset($_GET["id"]) ||
    isset($_SESSION["sid"])) {
 $id = isset($_GET["id"]) ? $_GET["id"] : $_SESSION["sid"];
 if (isset($_SESSION["sid"])) unset($_SESSION["sid"]);

 // Beitrag auslesen
 $select = $VERBINDUNG->prepare("SELECT `id`, `thread`, `fa`, `anzeige`,  `name`, `thema`, `text`, `datum`
                                                           FROM `" . $TABLE_PREFIX . "_forum`
                                                           WHERE `id` = :id");
 $select->bindParam(':id', $id);
 $select->execute();
 $beitrag = $select->fetch();
 if (count($beitrag) == 16) {

  // Anzahl der Beiträge
  $select = $VERBINDUNG->query("SELECT COUNT(`thread`) AS anzahl
                                                         FROM `" . $TABLE_PREFIX . "_forum`
                                                         WHERE `thread` = '" . $beitrag["thread"] . "' AND `anzeige` = '1'");
  $threads = $select->fetch();

  // Formular erstellt mit dem Formular Generator  - 
  // www.webbausteine.de/blog/tools/formulargenerator.php

  // Variablen für das Formular
  $id = isset($_POST["id"]) ? $_POST["id"] : $beitrag["id"];
  $thread = isset($_POST["thread"]) ? $_POST["thread"] : $beitrag["thread"];
  $threads = isset($_POST["threads"]) ? $_POST["threads"] : $threads["anzahl"];
  $fa = isset($_POST["fa"]) ? $_POST["fa"] : $beitrag["fa"];
  $anzeige = isset($_POST["anzeige"]) ? $_POST["anzeige"] : $beitrag["anzeige"];
  $sperre = isset($_POST["sperre"]) ? $_POST["sperre"] : "";
  $name = isset($_POST["name"]) ? $_POST["name"] : $beitrag["name"];
  $thema = isset($_POST["thema"]) ? $_POST["thema"] : $beitrag["thema"];
  $text = isset($_POST["text"]) ? $_POST["text"] : $beitrag["text"];
  $datum = isset($_POST["datum"]) ? $_POST["datum"] : $beitrag["datum"];
  sscanf($datum, "%4s-%2s-%2s %5s", $jahr, $monat, $tag, $uhr);
  $auswahl = isset($_POST["auswahl"]) ? $_POST["auswahl"] : "";

  // Radiobutton: Auswahl
  $array = array( "Freischalten", "Löschen", "Thema");
  $array2 = array( "Beitrag freischalten", "Beitrag löschen", "Thema:");
  $auswahlRB = "";
  foreach ($array as $zaehler => $value) {
   $auswahlRB .= "<label><input type='radio' name='auswahl' value='" . $value . "'";
   if (isset($_POST["auswahl"])) {
    if ($_POST["auswahl"] == $value) {
     $auswahlRB .= " checked='checked'";
    }
   }
   else if ($zaehler == 0) {
     $auswahlRB .= " checked='checked'";
   }
   $auswahlRB .= ">" . $array2[$zaehler] . "</label>&nbsp; \n ";
  }

  // Auswahlliste: Sperre
  $array = array( "", "0", "1", "2");
  $array2 = array( "-", "Öffnen", "Sperren", "Löschen");
  $sperreAW = "<select name='sperre' size='1' onChange='hinweis()'>";
  foreach ($array as $zaehler => $value) {
   $sperreAW .= "\n  <option value='" . $value . "'" .
   ((isset($_POST["sperre"]) ? $_POST["sperre"] : "") == $value ?
   " selected='selected'" : "") .  ">" . $array2[$zaehler] . "</option>";
  }
  $sperreAW .= "\n </select>";

  // Benutzereingaben überprüfen
  $fehler = array("name"=>"", "thema"=>"", "text"=>"",);
  if (isset($_POST["absenden"]) ||
      isset($_POST["vorschau"])) {
   $fehler["name"] = strlen(trim($_POST["name"])) < 3 ? "Der Name ist leider zu kurz!" : "";
   $fehler["thema"] = strlen(trim($_POST["thema"])) < 15 ? "Bitte geben Sie ein Thema ein (mind. 15 Zeichen)!" : "";
   $fehler["text"] = strlen(trim($_POST["text"])) < 25 ? "Bitte geben Sie einen Beitrag ein (mind. 25 Zeichen)!" : "";
  }

  // Formular
  $formular = "
  <form name='Form' action='" . $_SERVER["SCRIPT_NAME"] . "?id=" . $id . "' method='post' enctype='application/x-www-form-urlencoded'>
  <fieldset class='forum'>
   <legend class='forum_qa'>" . ($fa == "F" ? "Frage" : "Antwort") . " vom: " . $tag . "." . $monat . "." . $jahr . " - " . $uhr . " Uhr</legend>
  <p>
  <label>Name: 
  <input type='text' name='name' value='" . $name . "' required='required' size='35' maxlength='35' autofocus='autofocus'>
   <span class='forum_pflichtfeld'>&#10034; " . $fehler["name"] . "</span></label>
  </p>

  <p>
  <label>Thema: <input type='text' name='thema' value='" . $thema . "' size='60' maxlength='60' required='required'>
   <span class='forum_pflichtfeld'>&#10034; " . $fehler["thema"] . "</span></label>
  </p>

  <p>
  <label for='forum_textarea'>Beitrag: 
  <span class='forum_pflichtfeld'>&#10034; " . $fehler["text"] . "</span></label><br>
  <textarea rows='12' cols='65' name='text' id='forum_textarea' required='required'>" . $text . "</textarea>
  </p>

  <p>
   " . $auswahlRB . "<label>" . $sperreAW . "
   <small id='hinweis'></small></label>
   <script>hinweis();</script>
  </p>

  <input type='hidden' name='id' value='" . $id . "'>
  <input type='hidden' name='thread' value='" . $thread . "'>
  <input type='hidden' name='threads' value='" . $threads . "'>
  <input type='hidden' name='fa' value='" . $fa . "'>
  <input type='hidden' name='anzeige' value='" . $anzeige . "'>
  <input type='hidden' name='datum' value='" . $datum . "'>
  <p style='margin: auto; width: 50%;'>
  <input type='submit' name='vorschau' value='Vorschau' formnovalidate='novalidate'> &emsp; 
  <input type='submit'  name='absenden' value='Ausführen'>
  </p>
  </fieldset>
  </form>
  <script>forum_bbcode();</script>
  <br>
  ";

  // Übersicht der Beiträge
  $select = $VERBINDUNG->query("SELECT `id`, `thread`, `nr`, `name`, `text`, `datum`
                                                         FROM `" . $TABLE_PREFIX . "_forum`
                                                         WHERE `thread` = '" . $thread . "' AND `anzeige` = '1'
                                                         ORDER BY `datum` DESC
                                                        LIMIT " . $LETZTE_BEITRAEGE_UEBERSICHT);
  $beitraege = $select->fetchAll(PDO::FETCH_OBJ);
  if (count($beitraege) > 0) {
   $nr = $threads;
   $formular .= "<fieldset class='forum'>
    <legend>Übersicht der letzten Beiträge (absteigend)</legend>";
   foreach ($beitraege as $beitrag) {
    $formular .= "<dl class='forum_dl'>
      <dt><a href='forum_editor.php?id=" . $beitrag->id . "' class='forum_beitrag'></a><sup><small>" . $nr . "
      </small></sup>&nbsp; <b class='forum_profil'>" . $beitrag->name . "</b> <small>schrieb " . datetime($beitrag->datum, true) . "</small></dt>
      <dd>" . bbcode($beitrag->text) . "</dd>
     </dl>";
    $nr--;
   }
   $formular .= "</fieldset>";
  }

  // Wurde das Formular abgesendet
  if ($_SERVER["REQUEST_METHOD"] == "POST") {
   if (implode("", $fehler) == "" &&
       isset($_POST["absenden"])) {
    include "forum_verbindung.php";

    // Thema öffnen
    if ($_POST["auswahl"] == "Thema" &&
        $_POST["sperre"] == "0") {
     $update = $VERBINDUNG->prepare("UPDATE `" . $TABLE_PREFIX . "_forum`
                                                               SET `sperre` = '0'
                                                               WHERE `thread` = :thread AND `fa` = 'F'");
     $update->bindParam(':thread', $thread);
     if ($update->execute()) {
      echo '<p><span class="forum_ok">&#10004;</span> Das Thema wurde geöffnet.</p>';
     }
    }

    // Thema sperren
    if ($_POST["auswahl"] == "Thema" && 
        $_POST["sperre"] == "1") {
     $update = $VERBINDUNG->prepare("UPDATE `" . $TABLE_PREFIX . "_forum`
                                                               SET `sperre` = '1'
                                                               WHERE `thread` = :thread AND `fa` = 'F'");
     $update->bindParam(':thread', $thread);
     if ($update->execute()) {
      echo '<p><span class="forum_ok">&#10004;</span> Das Thema wurde gesperrt.</p>';
     }
    }

    // Thema komplett löschen
    if ($_POST["auswahl"] == "Thema" &&
        $_POST["sperre"] == "2") {
     $update = $VERBINDUNG->prepare("DELETE FROM `" . $TABLE_PREFIX . "_forum`
                                                            WHERE `thread` = :thread");
     $update->bindParam(':thread', $thread);
     if ($update->execute()) {
      echo '<p><span class="forum_ok">&#10004;</span> Das Thema wurde komplett gelöscht.</p>';
     }
    }

    // Beitrag ändern (Freischalten)
    if ($_POST["auswahl"] == "Freischalten") {
     $update = $VERBINDUNG->prepare("UPDATE `" . $TABLE_PREFIX . "_forum`
                                                         SET
                                                            `anzeige`= '1',
                                                            `name`= :name,
                                                            `thema`= :thema,
                                                            `text`= :text
                                                               WHERE
                                                            `id` = :id");
     $update->bindParam(':name', $name);
     $update->bindParam(':thema', $thema);
     $update->bindParam(':text', $text);
     $update->bindParam(':id', $id);
     if ($update->execute()) {

      // Antworten erhöhen
      if ($fa == "A" &&
          $anzeige == 0) {
       $update = $VERBINDUNG->prepare("UPDATE `" . $TABLE_PREFIX . "_forum`
                                                           SET
                                                           `nr` = `nr` + 1,
                                                           `antwort` = :antwort,
                                                           `awnr` = :awnr,
                                                           `awdatum` = :awdatum
                                                           WHERE `thread` = :thread AND `fa` = 'F'");
       $update->bindParam(':antwort', $name);
       $update->bindParam(':thread', $thread);
       $update->bindParam(':awnr', $id);
       $update->bindParam(':awdatum', $datum);
       $update->execute();
      }
      echo '<p><span class="forum_ok">&#10004;</span> Der Beitrag wurde freigeschaltet.</p>' .
       '<p><a href="forum_antwort.php?thread=' . $thread . '" class="forum_qa">Eine Antwort zu diesem Thema erstellen</a></p>';
     }
    }

    // Beitrag Löschen
    if ($_POST["auswahl"] == "Löschen") {
     if ($threads > 1 &&
         $fa == "F") {
      echo '<p><span class="forum_ko">&#10008;</span> Dieser Beitrag (vom Themenstarter) kann nicht gelöscht werden.<br>
       Es ' . ($threads == 1 ? 'befindet sich noch 1 weiterer Beitrag' : 'befinden sich noch ' . $threads . ' weitere Beiträge') . ' zu diesem Thema im Forum.</p>';
     }
     else {
      $delete = $VERBINDUNG->prepare("DELETE FROM `" . $TABLE_PREFIX . "_forum`
                                                                 WHERE `id` = :id");
      $delete->bindParam(':id', $_POST["id"]);
      if ($delete->execute()) {

       // Antworten verringern
       if ($fa == "A" &&
           $anzeige == 1) {

        $select = $VERBINDUNG->prepare("SELECT `id`, `name`
                                                                     FROM `" . $TABLE_PREFIX . "_forum`
                                                                     WHERE `thread` = :thread AND `anzeige` = '1'
                                                                     ORDER BY `datum` DESC LIMIT 1");
        $select->bindParam(':thread', $thread);
        $select->execute();
        $last = $select->fetch();
        $update = $VERBINDUNG->prepare("UPDATE `" . $TABLE_PREFIX . "_forum`
                                                               SET
                                                               `awnr` = :id,
                                                               `nr` = `nr` - 1,
                                                               `antwort` = :name
                                                               WHERE `thread` = :thread AND `fa` = 'F'");
        $update->bindParam(':id', $last["id"]);
        $update->bindParam(':name', $last["name"]);
        $update->bindParam(':thread', $thread);
        $update->execute();
       }
       echo '<p><span class="forum_ok">&#10004;</span> Der Beitrag wurde gelöscht.</p>';
      }
     }
    }
    if ($_POST["auswahl"] == "Freischalten" ||
        $_POST["auswahl"] == "Löschen" ||
        $_POST["auswahl"] == "Thema") {

    // Neue Beiträge anzeigen
     neue_beitraege($VERBINDUNG, $TABLE_PREFIX);
    }
   }
   else {

    // Vorschau  anzeigen
    if (isset($_POST["vorschau"]) &&
        $text != "") {
     echo '<fieldset class="forum"><legend>Vorschau</legend>'. bbcode($text) . '</fieldset><br>';
    }
    // Formular anzeigen
    echo $formular;
   }
  }
  else {
   // Formular anzeigen
   echo $formular;
  }
 }
 else {
  echo '<p><span class="forum_ko">&#10008;</span> Der Beitrag wurde nicht gefunden!</p>';
  // Neue Beiträge anzeigen
  neue_beitraege($VERBINDUNG, $TABLE_PREFIX);
 }
}
else {
 // Neue Beiträge anzeigen
 neue_beitraege($VERBINDUNG, $TABLE_PREFIX);
}
?>

<p><span class='forum_hilfetext'>Wenn Sie dieses <span class="forum_beitrag">&thinsp;</span><b>Symbol</b> 
 hier oder in den Themen des Forums anklicken, dann gelangen Sie zum Editor um den Beitrag zu bearbeiten.</span></p>

</fieldset>

</body>
</html>