<!DOCTYPE html>
<html>
 <head>
  <meta charset="UTF-8">
  <title>Datenbank-Tabelle erstellen</title>
  <link rel="stylesheet" type="text/css" media="screen" href="forum_style.css">
 </head>
<body>

<?php
/* Datenbank-Tabelle erstellen
 - Webbausteine.de */

include "forum_verbindung.php";

if ($VERBINDUNG->query("CREATE TABLE IF NOT EXISTS `" . $TABLE_PREFIX . "_forum` (
				 `id` int(11) NOT NULL AUTO_INCREMENT,
				 `thread` varchar(22) COLLATE latin1_german2_ci NOT NULL,
				 `fa` varchar(2) COLLATE latin1_german2_ci NOT NULL,
				 `nr` int(5) NOT NULL,
				 `anzeige` tinyint(1) NOT NULL,
				 `sperre` tinyint(1) NOT NULL,
				 `name` varchar(35) COLLATE latin1_german2_ci NOT NULL,
				 `thema` varchar(60) COLLATE latin1_german2_ci NOT NULL,
				 `text` text COLLATE latin1_german2_ci NOT NULL,
				 `datum` datetime NOT NULL,
				 `antwort` varchar(35) COLLATE latin1_german2_ci NOT NULL,
				 `awnr` int(11) NOT NULL,
				 `awdatum` datetime NOT NULL,
				 PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci")) {

 $VERBINDUNG->query("INSERT INTO `" . $TABLE_PREFIX . "_forum` (`id`, `thread`, `fa`, `nr`, `anzeige`, `sperre`, `name`, `thema`, `text`, `datum`, `antwort`, `awnr`, `awdatum`) VALUES
 (1, '1234567891234567891', 'F', 1, 1, 0, 'Werner', 'Willkommen im Forum!', 'Willkommen in Ihrem neuen Forum und viel Spass damit :)', NOW(), '', 0, '0000-00-00 00:00:00')");

 echo '<h4><span class="forum_ok">&#10004;</span> Die Datenbank-Tabelle `' . $TABLE_PREFIX . '_forum` wurde erstellt.</h4>
 <p><a href="forum.php" class="forum_start">Forum anzeigen</a></p>';

 if (!unlink(basename($_SERVER["SCRIPT_NAME"]))) {
  echo '<p><span class="forum_status">&#10149;</span> Bitte löschen Sie die Datei: "' . basename($_SERVER["SCRIPT_NAME"]) . '" auf dem Webserver!</p>';
 }
}
else {
 echo '<h4><span class="forum_ko">&#10008;</span> Fehler beim erstellen der Datenbank-Tabelle.</h4>';
 print_r($VERBINDUNG->errorInfo());
}
?>

</body>
</html>